Subject: [mobile-ip] new mipv6 draft and BSA

From: Lars Henrik Petander <[email-masked]>
Date: Wed, 18 Jul 2001 21:41:45 +0300 (EET DST)

Hi all,

I just read through the new Mobile IPv6 draft, but the role of binding
security association is still somewhat unclear to me. When MN returns home
and sends a deregistration BU to its HA and CNs will the BSAs be
deleted along with the binding cache and binding update list entries?

There might be potential problems with replayed or delayed packets, if the
CNs and the HA delete their binding cache entries for the MN, but do not
delete their BSA (and also the shared secret used for the session) for
the MN. 

Regards,

Henrik Petander